# QStateMachine_WrappedEvent Class Reference

### [com.trolltech.qt.core package]

Inherits QEvent.

### Constructor

- void QStateMachine_WrappedEvent(QObject object, QEvent event)

### Constructor Properties

- prototype: The QStateMachine_WrappedEvent prototype object

### Prototype Object Properties

The QStateMachine_WrappedEvent prototype object inherits properties from the QEvent prototype object and also has the following properties.

- QEvent event()
- QObject object()

### Instance Properties

QStateMachine_WrappedEvent objects have no special properties beyond those inherited from the QStateMachine_WrappedEvent prototype object.